import 'package:flutter/material.dart';

class AboutPage extends StatelessWidget {
  const AboutPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Padding(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            // Add the GIF image
            Image.asset(
              'assets/images/giphy.gif',
              width: 200, // Adjust the width as needed
              height: 200, // Adjust the height as needed
              fit: BoxFit.contain, // Adjust the fit as needed
            ),
            SizedBox(height: 20),
            // First line of text
            Text(
              'So there are people interested in "About pages ?", Well...',
              textAlign: TextAlign.center,
              style: TextStyle(
                fontSize: 24,
                fontWeight: FontWeight.bold,
              ),
            ),
            // Second line of text
            Text(
              'About TindCode:',
              textAlign: TextAlign.center,
              style: TextStyle(
                fontSize: 24,
                fontWeight: FontWeight.bold,
              ),
            ),
            SizedBox(height: 20),
            // Description text
            Text(
              'TindCode is a Flutter and Dart-based application created by Timothé KOBAK and Matis SPINELLI. It offers a user interface reminiscent of Tinder but with a twist – instead of swiping on potential dates, users swipe on programming-related media.',
              textAlign: TextAlign.center,
            ),
          ],
        ),
      ),
    );
  }
}
